<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.ems.mapper.EmsConsPlatformConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.ems.domain.EmsConsPlatformConfig">
        <id column="id" property="id" />
        <result column="platform_name" property="platformName" />
        <result column="build_id" property="buildId" />
        <result column="build_name" property="buildName" />
        <result column="platform_ip" property="platformIp" />
        <result column="platform_port" property="platformPort" />
        <result column="username" property="username" />
        <result column="passwd" property="passwd" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="updated_by" property="updatedBy" />
        <result column="updated_time" property="updatedTime" />
        <result column="tenant_id" property="tenantId" />
        <result column="product_code" property="productCode" />
        <result column="delete_flag" property="deleteFlag" />
    </resultMap>
    <select id="getPlatformConfig" resultMap="BaseResultMap">
        SELECT * FROM ems_cons_platform_config
        WHERE delete_flag = 0
    </select>

</mapper>
